# $Revision: 1.14 $, $Date: 2012/01/15 19:45:09 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	WWW
%define	pnam	Google-PageRank
Summary:	WWW::Google::PageRank - Query Google pagerank of page
Summary(pl.UTF-8):	WWW::Google::PageRank - zapytanie o ranking strony w Google
Name:		perl-WWW-Google-PageRank
Version:	0.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	16437cb7f0f12c3b8529600a93140f38
URL:		http://search.cpan.org/dist/WWW-Google-PageRank/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(URI::Escape)
BuildRequires:	perl-URI
BuildRequires:	perl-libwww
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The WWW::Google::PageRank is a class implementing a interface for
querying Google pagerank.

To use it, you should create WWW::Google::PageRank object and use
its method get(), to query page rank of URL.

It uses LWP::UserAgent for making request to Google.

%description -l pl.UTF-8
WWW::Google::PageRank to klasa implementująca interfejs do odpytywania
Google o ranking strony.

Aby go użyć, należy utworzyć obiekt WWW::Google::PageRank i użyć jego
metody get() do zapytania o ranking strony o podanym URL-u.

Klasa używa LWP::UserAgent do wykonywania zapytań do serwisu Google.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/WWW/Google/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Google-PageRank.spec,v $
Revision 1.14  2012/01/15 19:45:09  zbyniu
- up to 0.17

Revision 1.13  2011/07/01 14:26:17  marti
- up to 0.16

Revision 1.12  2009/05/10 11:29:50  megabajt
- updated to 0.15 (by Paweł Żuk <redstorm15 at gmail dot com>)

Revision 1.11  2007/12/31 00:23:21  zbyniu
- up to 0.14

Revision 1.10  2007-06-03 11:43:00  agaran
- up to 0.13, rel 1, builds here

Revision 1.9  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.7  2006/05/25 10:25:55  ankry
- release down to 1

Revision 1.6  2006/05/25 09:27:36  blaass
- up to 0.12

Revision 1.5  2006/04/07 21:40:54  agaran
- up to 0.11 rel 1 builds here

Revision 1.4  2005/06/20 16:11:22  megabajt
- up to 0.10

Revision 1.3  2004/12/01 10:46:12  radek
- standarized Source0 URL

Revision 1.2  2004/11/23 21:17:32  qboosh
- pl, URL, package names in deps

Revision 1.1  2004/11/23 00:52:09  radek
- new
